Bug 1017667 - Automated installation fails when MySQL was configured
Automated installation fails when MySQL was configured
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Installer (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity urgent
: ER8
: 6.0.0
Assigned To: Thomas Hauser
Len DiMaggio
Depends On:
  Show dependency treegraph
Reported: 2013-10-10 06:12 EDT by Pavol Srna
Modified: 2014-02-06 10:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
auto-installation.log (33.61 KB, text/x-log)
2013-10-10 06:12 EDT, Pavol Srna
no flags Details
auto-installation xml (4.73 KB, text/xml)
2013-10-10 06:13 EDT, Pavol Srna
no flags Details
postinstall-logs (1.36 KB, application/zip)
2013-10-10 09:44 EDT, Pavol Srna
no flags Details

  None (edit)
Description Pavol Srna 2013-10-10 06:12:02 EDT
Created attachment 810425 [details]

Description of problem:

Automated installation has failed. Please see log attached.

Steps to reproduce:

Configure MySQL JDBC driver in post installation, at the end generate the script and rerun the installation in auto mode.
Comment 1 Pavol Srna 2013-10-10 06:13:58 EDT
Created attachment 810426 [details]
auto-installation xml
Comment 2 Julian Coleman 2013-10-10 06:18:34 EDT
Is the MySQL database on a remote machine?
There appears to be a problem where the seeding can time out if the database connection is slow.
Comment 3 Pavol Srna 2013-10-10 06:39:42 EDT
Yes it is remote, but should not be slow. I run the installer in the brno lab and tried to connect to mysql running on my personal computer (just next door).
Comment 4 Pavol Srna 2013-10-10 06:45:00 EDT
I was able to configure it properly in the installer, but never succeeded with the auto-installation. Tried several times.
Comment 5 Thomas Hauser 2013-10-10 09:23:50 EDT
Pavol, can you provide the postinstall*.logs please?
Comment 6 Pavol Srna 2013-10-10 09:44:25 EDT
Created attachment 810530 [details]

Sure ;-)
Comment 7 Len DiMaggio 2013-10-10 09:48:23 EDT
Does this work when MySQL is run on the same (local) server?
Comment 8 Thomas Hauser 2013-10-10 10:06:44 EDT
Looking at the postinstall-logs, it will not. This is an issue in installer code for reading the XML somehow.
Comment 9 Thomas Hauser 2013-10-25 14:46:36 EDT
This is resolved for post-beta builds.
Comment 10 Len DiMaggio 2014-01-06 15:20:35 EST
Verified in ER8

Note You need to log in before you can comment on or make changes to this bug.